Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class EnumElement

    java.lang.Object
      |
      +--com.compoze.collab.EnumElement

All Implemented Interfaces:
  java.lang.Comparable, com.compoze.collab.util.IDigestSupport, java.io.Serializable

Direct Known Subclasses:
  AppointmentType, BusyStatus, ContainerPermission, DayOfWeek, DefaultContainerClass, DefaultRootContainerClass, DeliveryPriority, DeliveryReportLevel, DocumentType, FlagStatus, FlagText, FolderType, FollowUpStatus, Gender, Importance, InstanceType, InstanceType, MeetingResponseStatus, MeetingResponseStatus, MeetingStatus, NoticeType, Priority, RecipientType, RecurrenceEndType, RecurrenceInstance, RecurrenceType, RepeatForUnit, RepeatHow, RepeatType, RepeatWeekends, SelectedMailingAddress, Sensitivity, SortOrder, TaskResponseStatus, TaskStatus

public class EnumElement
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, com.compoze.collab.util.IDigestSupport

This class is an enumeration element. Each `CollabEnum` holds a list of `EnumElement`s.

See Also:
  Serialized Form

Field Summary
`protected int` | `m_iValue`
`protected java.lang.String` | `m_sStr`
`protected java.lang.Integer` | `m_value`

Constructor Summary
`EnumElement(java.lang.Class enumClass, com.compoze.collab.resource.ResourceBundleWrapper rb, com.compoze.collab.resource.ResourceKey rk, int iValue, float fSortValue, java.lang.String sStr)` Constructor.

Method Summary
`int` | `compareTo(java.lang.Object obj)`
`boolean` | `equals(java.lang.Object o)` Equals.
`java.lang.String` | `getDisplayName(java.util.Locale locale)` Gets the display name of the element in a particular display locale.
`CollabEnum` | `getEnumeration()` Gets the enumeration.
`java.lang.Integer` | `getIntegerValue()` Gets the value.
`int` | `getIntValue()` Gets the value.
`java.lang.String` | `getString()` Gets the non-localized string for the enum.
`boolean` | `isDefault()` Determines if this is the default enum element (in its top level enumeration only).
`protected java.lang.Object` | `readResolve()` Resolves the object during de-serialization.
`java.lang.String` | `toString()` Creates a string representation of the element.
`void` | `updateDigest(java.security.MessageDigest digest)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_iValue

    protected int m_iValue

### m_value

    protected transient java.lang.Integer m_value

### m_sStr

    protected transient java.lang.String m_sStr

Constructor Detail

### EnumElement

    public EnumElement(java.lang.Class enumClass,
                       com.compoze.collab.resource.ResourceBundleWrapper rb,
                       com.compoze.collab.resource.ResourceKey rk,
                       int iValue,
                       float fSortValue,
                       java.lang.String sStr)

  Constructor.

Method Detail

### isDefault

    public boolean isDefault()

  Determines if this is the default enum element (in its top level enumeration only).

### getIntValue

    public int getIntValue()

  Gets the value.

### getIntegerValue

    public java.lang.Integer getIntegerValue()

  Gets the value.

### getString

    public java.lang.String getString()

  Gets the non-localized string for the enum.

### getDisplayName

    public java.lang.String getDisplayName(java.util.Locale locale)

  Gets the display name of the element in a particular display locale.

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getEnumeration

    public CollabEnum getEnumeration()

  Gets the enumeration.

### readResolve

    protected java.lang.Object readResolve()
                                    throws java.io.ObjectStreamException

  Resolves the object during de-serialization.

### equals

    public boolean equals(java.lang.Object o)

  Equals.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if the enum elements are equal (the class of the enums and their int values are equal)

### toString

    public java.lang.String toString()

  Creates a string representation of the element.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation (not `null`)

### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

  Specified by:
    `updateDigest` in interface `com.compoze.collab.util.IDigestSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.